---
title: Governance Fund Overview
lang: en-US
---

*[To discuss the Governance Fund, head to the Optimism governance forum](https://gov.optimism.io/t/governance-fund-discussion-thread/213)*.





## Overview

5.4% of the total initial token supply (231,928,234 OP) will be distributed to Optimism projects and communities via the Governance Fund. 
The goal of the Governance Fund is to empower the OP community to proactively incentivize future growth of projects and communities in the Optimism ecosystem. 
You can read more about the total allocation of OP in the [Allocations section](./allocations.md) of our [Governance docs](./README.md). 

The purpose of the Governance Fund is to incentivize sustainable growth of projects and communities in the Optimism ecosystem. 
This does not mean that all grants must be incentive programs. 
The Token House is welcome to consider any and all proposals which would drive growth or address a gap in the Optimism ecosystem, including public goods projects.

Governance funds should come with an expectation of growth-related deliverables. 
It is not the intended purpose of the governance fund to retroactively fund public goods without an expectation of future work. 
There is [a distinct OP allocation](./allocations.md#retroactive-public-goods-funding) dedicated to this, which will be distributed via the Citizens' House at a later date.

## Phase 1

Phase 1 had begun after Airdrop #1 and distributes the remainder of the Governance Fund (approx. 196,128,233 OP) to projects in the Optimism ecosystem. 
Phase 1 will continue until the Governance Fund is exhausted.
You can see how the Governance Fund has been distributed to date in [the Governance Tracker](https://docs.google.com/spreadsheets/d/1eaHOlWB34ij1KGsXdaNyTQg4tt1Pu2JurJsElBb6a8k/edit#gid=0). 

Any project on Optimism can [submit a forum proposal](proposals.md) to request any amount of OP tokens. 
The proposal must include a plan for how the tokens will incentivize growth on Optimism. 
Proposals are reviewed and voted on by the [Token House](token-house.md).

When a project gets a proposal approved, they are still eligible to apply for further proposals. 
The Optimism Foundation recommends that projects distribute their initial allocation of tokens before requesting further tokens. 
Projects are also encouraged to reference data from the success of their initial distribution to strengthen their case in future proposals.


## Phase 0

Phase 0 was designed to reward existing projects that have driven growth of the Optimism ecosystem. 

The amount of funding for each project was determined by a set of on-chain metrics, calculated via a snapshot of the Optimism chain on April 1, 2022 at 12:00am UTC.
To see live tracking on govFund allocations please see the [Public tracker spreadsheet](https://docs.google.com/spreadsheets/d/1eaHOlWB34ij1KGsXdaNyTQg4tt1Pu2JurJsElBb6a8k/edit#gid=0).